#include <bits/stdc++.h>
using namespace std;
int shh(int a)
{
   int i,s=1;
   for(i=2;i<a;i++)
   {
       if(a%i==0)s+=i;
   }
   if(s==a)return 1;
   else return 0;
}
int main()
{
    ifstream f1("SOHH.INP");
    int a[10000],n,i;
    f1>>n;
    for(i=0;i<n;i++)
    {
        f1>>a[i];
    }
    f1.close();
    ofstream f2("SOHH.OUT");
    for(i=0;i<n;i++)
    {
        if(shh(a[i])==1)f2<<a[i]<<" ";
    }
    f2.close();
    return 0;
}
